Bug 136468 - local variable used before set
local variable used before set
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-20 06:07 EDT by David Binderman
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-07 06:00:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Binderman 2004-10-20 06:07:59 EDT
Description of problem:

I just tried to compile package freeradius-1.0.0-3 from package
Redhat Fedora Core 3 Test 3.

The compiler said

rlm_ldap.c(452): remark #592: variable "flags" is used before its
value is set

The source code is

          dict_addattr(group_name, 0, PW_TYPE_STRING, -1, flags);

Suggest init flags before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thomas Woerner 2006-06-07 06:00:39 EDT
Fixed in rawhide in rpm freeradius-1.1.2-1 or newer.

Note You need to log in before you can comment on or make changes to this bug.